﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows;
using Telerik.Windows.Controls;

namespace TreeViewDragNoSelection
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.AddHandler(RadDragAndDropManager.DragQueryEvent, new EventHandler<DragDropQueryEventArgs>(OnDragQuery), true);
		}

		private void OnDragQuery(object sender, DragDropQueryEventArgs e)
		{
			var treeViewItemSource = e.Options.Source as RadTreeViewItem;

			if (e.Options.Status == DragStatus.DragQuery 
				&& e.QueryResult == false
				&& treeViewItemSource != null)
			{
				e.QueryResult = true;
				e.Options.Payload = treeViewItemSource.Item;
			}
		}

		private void RadTreeView_PreviewSelected(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			e.Handled = true;
		}
	}
}
